#ifndef ALLOCATE_FACTORY
#define ALLOCATE_FACTORY
#include "code/return.h"
template <class I, class O, class E> class factory_t {
	public:
	virtual return_t<E, O*> create(
		I* i
	) = 0;
	virtual void_t<E> dispose(
		O* o
	) = 0;
};
#endif
