#include "code/provider.h"
#include "inform/text_service.h"
#include "draw/window_service.h"

provider_t::provider_t(
	provider_t::configuration_t* configuration_p
) {
	configuration_m = configuration_p;
}

return_t<provider_t::error_t, provider_t*> provider_factory_t::create(
	provider_t::configuration_t* configuration_p
) {
	return_t<provider_t::error_t, provider_t*> return_l;
	return_l.error_m = provider_t::error_t::none;
	return_l.value_m = new provider_t(
		configuration_p
	);
	return return_l;
}

void_t<provider_t::error_t> provider_factory_t::dispose(
	provider_t* provider_p
) {
	delete provider_p;
	void_t<provider_t::error_t> void_l;
	void_l.error_m = provider_t::error_t::none;
	return void_l;
}
